org.richfaces.component

## Class UIDragSource

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractDragSource
      - - org.richfaces.component.UIDragSource

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIDragSource
      extends AbstractDragSource

  The <rich:dragSource> component can be added to a component to indicate it is capable of being dragged by the user. The dragged item can then be dropped into a compatible drop area, designated using the <rich:dropTarget> component.

  Author:
    abelevich

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIDragSource.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIDragSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDragIndicator()` Component ID of a dragIndicator component that is used as drag pointer during the drag operation
    `String` | `getDragOptions()` A set of options for jQuery.draggable widget
    `Object` | `getDragValue()` Data to be sent to a drop zone after a drop event
    `String` | `getFamily()`
    `String` | `getType()` A drag zone type that is used for zone definition, which elements can be accepted by a drop zone
    `void` | `setDragIndicator(String dragIndicator)`
    `void` | `setDragOptions(String dragOptions)`
    `void` | `setDragValue(Object dragValue)`
    `void` | `setType(String type)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIDragSource

          public UIDragSource()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getDragIndicator

          public String getDragIndicator()

      Description copied from class: `AbstractDragSource`
      Component ID of a dragIndicator component that is used as drag pointer during the drag operation
      Specified by:
        `getDragIndicator` in class `AbstractDragSource`

    - #### setDragIndicator

          public void setDragIndicator(String dragIndicator)

    - #### getDragOptions

          public String getDragOptions()

      Description copied from class: `AbstractDragSource`
      A set of options for jQuery.draggable widget
      Specified by:
        `getDragOptions` in class `AbstractDragSource`

    - #### setDragOptions

          public void setDragOptions(String dragOptions)

    - #### getDragValue

          public Object getDragValue()

      Description copied from class: `AbstractDragSource`
      Data to be sent to a drop zone after a drop event
      Specified by:
        `getDragValue` in class `AbstractDragSource`

    - #### setDragValue

          public void setDragValue(Object dragValue)

    - #### getType

          public String getType()

      Description copied from class: `AbstractDragSource`
      A drag zone type that is used for zone definition, which elements can be accepted by a drop zone
      Specified by:
        `getType` in class `AbstractDragSource`

    - #### setType

          public void setType(String type)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.